Imagick::equalizeImage
Imagick::exportImagePixels
Imagick
PHP Manual

# Imagick::evaluateImage

(PECL imagick 2.0.0)

Imagick::evaluateImage — Applies an expression to an image

### Description

bool Imagick::evaluateImage ( int `$op` , float `$constant` [, int `$channel` = Imagick::CHANNEL_ALL ] )

Applys an arithmetic, relational, or logical expression to an image. Use these operators to lighten or darken an image, to increase or decrease contrast in an image, or to produce the "negative" of an image.

### Parameters

`op`

  The evaluation operator

`constant`

  The value of the operator

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Refer to this list of channel constants.

### Examples

Example #1 Using Imagick::evaluateImage()

Using evaluateImage to reduce opacity in an image.

`<?php
// Create new object with the image
$im = new Imagick('example-alpha.png');
// Reduce the alpha by 50%
$im->evaluateImage(Imagick::EVALUATE_DIVIDE, 2, Imagick::CHANNEL_ALPHA);
// Output the image
header("Content-Type: image/png");
echo $im;
?>`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::equalizeImage
Imagick::exportImagePixels
Imagick
PHP Manual